# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Data/Dump.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(Getopt/Long.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Module/Manifest/Skip.pm) perl(Moo.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Plack/Builder.pm) perl(Plack/Test.pm) perl(Plack/Util.pm) perl(Pod/Parser.pm) perl(Pod/Usage.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Test/Fatal.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(parent.pm) perl(DBIx/Class/QueryLog.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Plack-Middleware-DBIC-QueryLog
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Expose a DBIC QueryLog Instance in Middleware
Group: Development/Perl
License: perl
URL: http://search.cpan.org/dist/Plack-Middleware-DBIC-QueryLog/

Source0: http://cpan.org.ua/authors/id/J/JJ/JJNAPIORK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
the Plack::Middleware::DBIC::QueryLog manpage does one thing, it places an object that.is either an instance of the DBIx::Class::QueryLog manpage OR a compatible object into
the `$env' under `plack.middleware.dbic.querylog'.  A new instance is created
for each incoming request.

The querylog is intended to be used by the DBIX::Class manpage to log and profile SQL
queries, particularly during the context of a web request handled by your
the Plack manpage application.  See the documentation for the DBIx::Class::QueryLog manpage and
in the debugobj entry in the DBIx::Class::Storage manpage for more information.

This middleware is intended to act as a bridge between the DBIx::Class manpage, which
can consume and populate the querylog, with a reporting tool such as seen in
the Plack::Middleware::Debug::DBIC::QueryLog manpage.  This functionality was refactored
out of the Plack::Middleware::Debug::DBIC::QueryLog manpage to facilitate interoperation
with other types of reporting tools.  For example, you may want query logging
but you don't need the Plack debug panels (maybe you are building an RPC or
REST application server and want sql query logging, is a possible use case).

Unless you are building some custom logging tools, you probably just want to
use the existing debug panel (the Plack::Middleware::Debug::DBIC::QueryLog manpage)
rather than building something custom around this middleware.

If you are using an existing web application development system such as the Catalyst manpage,
you can use the Catalyst::TraitFor::Model::DBIC::Schema::QueryLog::AdoptPlack manpage to
'hook' the query log into your the DBIx::Class manpage schema model.  If you are using
a different framework, or building your own, please consider releasing your
code or sending me a document patch suitable for including in a workbook or FAQ.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.mkdn Changes
%perl_vendor_privlib/P*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

